### Enumeration

# Gtk CornerType

since: 4.0

#### Declaration

    enum Gtk.CornerType

#### Description [src]

Specifies which corner a child widget should be placed in when packed into a `GtkScrolledWindow.`

This is effectively the opposite of where the scroll bars are placed.

Available since: 4.0

#### Members

`GTK_CORNER_TOP_LEFT`

  Place the scrollbars on the right and bottom of the widget (default behaviour).

  - Value: `0`
  - Nickname: `top-left`
  - Available since: 4.0
`GTK_CORNER_BOTTOM_LEFT`

  Place the scrollbars on the top and right of the widget.

  - Value: `1`
  - Nickname: `bottom-left`
  - Available since: 4.0
`GTK_CORNER_TOP_RIGHT`

  Place the scrollbars on the left and bottom of the widget.

  - Value: `2`
  - Nickname: `top-right`
  - Available since: 4.0
`GTK_CORNER_BOTTOM_RIGHT`

  Place the scrollbars on the top and left of the widget.

  - Value: `3`
  - Nickname: `bottom-right`
  - Available since: 4.0